Last Comment Bug 769772 - Print compiler version being used and drop checks for llvm-gcc and old versions of clang
: Print compiler version being used and drop checks for llvm-gcc and old versio...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla16
Assigned To: Nobody; OK to take it and work on it
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 12:51 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2012-07-03 16:08 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Print compiler version being used and drop checks for llvm-gcc and old versions of clang (3.53 KB, patch)
2012-06-29 12:51 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
khuey: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-06-29 12:51:34 PDT
Created attachment 637974 [details] [diff] [review]
Print compiler version being used and drop checks for llvm-gcc and old versions of clang

We unified the logic for selecting a compiler and rejecting broken ones in MOZ_DEFAULT_COMPILER. In particular, we reject llvm-gcc completely and don't select clang unless the system has a very recent xcode (no gcc 4.2).

This patch then drops old hacks for old versions of clang and llvm-gcc.

It also prints the compiler version to stdout, so that it is recorded on the logs. This is handy as an end to end sanity check now that it is a lot easier to test new compilers on try.
Comment 1 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-06-29 12:52:39 PDT
Comment on attachment 637974 [details] [diff] [review]
Print compiler version being used and drop checks for llvm-gcc and old versions of clang

https://tbpl.mozilla.org/?tree=Try&rev=ebc40afd8ca6
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-07-02 10:14:09 PDT
Comment on attachment 637974 [details] [diff] [review]
Print compiler version being used and drop checks for llvm-gcc and old versions of clang

Review of attachment 637974 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +1027,5 @@
>  fi # COMPILE_ENVIRONMENT
>  
> +AC_MSG_CHECKING([compiler version])
> +# Just print it so it shows up in the logs.
> +$CC --version

Please use AC_MSG_RESULT, so that this won't show up for people running configure with --quiet.
Comment 3 Gregory Szorc [:gps] 2012-07-02 10:31:45 PDT
Rafael: what's the new user experience if the detected Clang is 2.8 or lower? Will configure fail in a later step, or will things fail with a "cryptic" compiler warning during actual build?

It seems to me having an explicit check against the Clang version that prints a clear message ("Clang 2.9 or newer is required") is the most user-friendly thing to do. If we still do that, great. If not, I'm not in favor of removing that detection from configure. But, I'm not a peer, so I'm powerless to stop you.
Comment 4 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-07-03 05:30:53 PDT
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=2cd530626b0e

gps, I checked it in as we never select clang when gcc 4.2 is available and it was only dropped on recent versions of xcode.

If you think we should explicitly reject old versions even when the users sets CC, could you please open another bug?
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-07-03 16:08:23 PDT
https://hg.mozilla.org/mozilla-central/rev/2cd530626b0e

Note You need to log in before you can comment on or make changes to this bug.